%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           TurboGears
Version:        0.8.9
Release:        3%{?dist}
Summary:        Back-to-front web development in Python

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org/
Source0:        http://www.turbogears.org/download/eggs/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-setuptools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools >= 0.6a8 
BuildRequires:  python-kid >= 0.8 python-TestGears >= 0.2
BuildRequires:  python-formencode >= 0.4 python-cherrypy >= 2.1.0
BuildRequires:  python-sqlobject >= 0.7
BuildRequires:  python-json >= 3.3 python-elementtree >= 1.2.6
Requires:       python-abi = %{pyver}
Requires:       python-kid >= 0.8  python-cherrypy >= 2.1.0
Requires:       python-sqlobject >= 0.7 python-formencode >= 0.4
Requires:       python-json >= 3.3 python-elementtree >= 1.2.6
Requires:       python-setuptools >= 0.6a8 python-TestGears >= 0.2

%description
TurboGears takes the best components available and combines them into one
easy-to-install, documented whole. TurboGears includes parts that join the
pieces together and make them work together seamlessly, but doesn't obscure
each included project. This allows you to take advantage of all existing
documentation, articles, mailing lists and other resources that have built up
in the communities for each project.

%prep
%setup -q
%patch0 -p1
find docs -type f -exec chmod a-x {} \; -exec sed -i 's/\r//g' {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt docs LICENSE.txt
%{_bindir}/tg-admin
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info
%{python_sitelib}/turbogears

%changelog
* Sun Jul  9 2006 Luke Macken <lmacken@redhat.com> 0.8.9-3
- Require python-TestGears (bug #195370)

* Thu Jul  6 2006 Luke Macken <lmacken@redhat.com> 0.8.9-2
- Add TurboGears-0.8.9-setuptools.patch

* Thu Jul  6 2006 Luke Macken <lmacken@redhat.com> 0.8.9-1
- Bump to 0.8.9
- Remove TurboGears-0.8a5-optim.patch and TurboGears-0.8a5-setuptools.patch

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8a5-1
- Initial RPM release
